<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<script type="text/javascript">
var arrayFile=[];
layui.use('upload', function(){
    var $ = layui.jquery
        ,upload = layui.upload;
    //多文件列表示例
    var tbodyListView = $('#tbody_List')
        ,uploadListIns = upload.render({
         elem: '#add_List'
        ,accept: 'file'
        ,exts:'xls|xlsx'
        ,multiple: true
        ,auto: false
        ,choose: function(obj){
            // var files = this.files = obj.pushFile(); //将每次选择的文件追加到文件队列
            //读取本地文件
            obj.preview(function(index, file, result){
                arrayFile.push(index);
                arrayFile.push(file);
                var tr = $(['<tr id='+index+'>'
                    ,'<td hidden><div class="td_id">'+index+'</div></td>'
                    ,'<td>'+ file.name +'</td>'
                    ,'<td><div contenteditable="true" class="mydiv1" placeholder="请输入项目名称">'+file.name.split(".")[0]+'</div></td>'
                    ,'<td>'
                    ,' <select name="type" class="myselect"><option value="">请选择项目类型</option><option value="1">架空线路工程</option><option value="2">电缆工程</option><option value="3">变电站工程</option></select>'
                    ,'<td style="text-align: center">'
                    ,'<button class="layui-btn layui-btn-xs layui-btn-danger demo-delete">删除</button>'
                    ,'</td>'
                    ,'</tr>'].join(''));
                //删除
                tr.find('.demo-delete').on('click', function(){
                    // delete files[index]; //删除对应的文件
                    tr.remove();
                    // uploadListIns.config.elem.next()[0].value = '';
                });

                tbodyListView.append(tr);
            });
        }
    });
});
function okSubmit() {
    //获取表单对象
    var formdata = new FormData();

    var inputval = $("#myinput").val();
    if(inputval==null||inputval==""){
        layer.msg("请输入工程名称",{icon: 3});
        return false;
    }
    formdata.append("projectName",inputval);

    //获取输入的项目名称
    var div1 =  document.getElementsByClassName("mydiv1");
    var divvalue=[];
    for (var i = 0; i < div1.length; i++) {
        divvalue[i]=div1[i].innerHTML;
    }
    if (divvalue.length<=0){
        layer.msg("请输入项目名称",{icon: 3});
        return false;
    }
    var div_val = divvalue.sort();
    for (var i = 0; i < divvalue.length; i++) {
        if (divvalue[i]=="请输入项目名称"){
            layer.msg("请输入项目名称",{icon: 3});
            throw SyntaxError;
        }
        if(div_val[i]==divvalue[i+1]){
            layer.msg("项目名称不能重复",{icon: 5});
            throw SyntaxError;
        }
    }
    formdata.append("itemNames",divvalue);
    // 获取表格项目类型
    var select1=document.getElementsByClassName("myselect");
    var selectval=[];
    for (var i = 0; i < select1.length; i++) {
        selectval[i]=select1[i].value;
    }
    if (selectval.length<=0){
        layer.msg("请输入项目名称",{icon: 3});
        return false;
    }
    for (var i = 0; i < selectval.length; i++) {
        if (selectval[i]==""||selectval[i]==null){
            layer.msg("请选择项目类型",{icon: 3});
            throw SyntaxError;
        }
    }
    formdata.append("itemTypes",selectval);

    // 获取表格id的值
    var td_id=document.getElementsByClassName("td_id");
    var array_id = [];
    for (var i = 0; i < td_id.length; i++) {
        array_id[i]=td_id[i].innerHTML;
    }
    for (var i = 0; i < array_id.length; i++) {
        for (var j = 0; j < arrayFile.length; j++) {
            if (array_id[i]==arrayFile[j]){
                formdata.append("file",arrayFile[j+1]);
            }
        }
    }
    //加载提示
    layer.msg('加载中', {
        icon: 16
        ,shade: 0.01
    });
    $.ajax({
        url: "${ctx}/project/tem/import",
        type: "POST",
        data: formdata,
        traditional: true,
        cache: false,        // 不缓存数据
        processData: false,  // 不处理数据
        contentType: false,   // 不设置内容类型
        success:function (data) {
            if(data.code == 1){
                layer.msg(data.msg,{icon: 6});
                this.formdata=new FormData();
                window.location.href="${ctx}/project/tem/list?projectId="+data.id;
            }else {
                this.formdata=new FormData();
                layer.msg(data.msg,{icon: 5});
            }
        }
    });
}
</script>